// @flow
import React from "react";
import { createElement, createRow, createColumn } from "webiny-app-cms/editor/utils";
import { registerPlugins } from "webiny-plugins";

import classnameElement from "./classnameElement";

registerPlugins(classnameElement());

export default {
    name: "cms-block-classname",
    type: "cms-block",
    category: "cms-block-category-general",
    title: "ClassName block",
    create(options: Object = {}) {
        return createElement("cms-element-classname", {
            ...options,
            elements: [
                createRow({
                    elements: [createColumn({ data: { width: 100 } })]
                })
            ]
        });
    },
    image: {
        width: 500,
        height: 70,
        aspectRatio: 500 / 70
    },
    preview() {
        return <img src="https://via.placeholder.com/500x70?text=Block+with+custom+className" alt={"ClassName block"} />;
    }
};
