// @flow
import React from "react";
import type { RenderElementPluginType } from "webiny-app-cms/types";
import Block from "webiny-app-cms/render/plugins/elements/block/Block";

export default (): RenderElementPluginType => {
	return {
		name: "cms-render-element-classname",
		type: "cms-render-element",
		element: "cms-element-classname",
		render(props) {
			const { element: { data: { classname } } } = props;
			return (
				<div className={classname}>
					<Block {...props} />
				</div>
			);
		}
	};
};
