import React from "react";
import ReactPlayer from 'react-player';
import styled from "react-emotion";

const CustomVideo = ({ element, theme }) => {
	const { data: { videoUrl } } = element;
	return (
		<CustomVideoWrapper theme={theme}>
			<div className="video-frame">
				<ReactPlayer
					url={videoUrl}
					playing
					muted
					controls={false}
					loop={true}
					width="100%"
					playsinline
				/>
			</div>
		</CustomVideoWrapper>
	)
};

const CustomVideoWrapper = styled("div")`
	position: relative;
	width: 100%;
	height: 100%;
	&:after {
		content: "";
		position: absolute;
		z-index: 2;
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
	}
`;

export default CustomVideo;
