import React from "react";
import { DelayedOnChange } from "webiny-app-cms/editor/components/DelayedOnChange";
import { Grid, Cell } from "webiny-ui/Grid";
import { Input } from "webiny-ui/Input";
import PageImage from "webiny-app-cms/editor/plugins/pageSettings/components/PageImage";
import FieldsList from "./FieldsList";

const PageSettingsAdditional = ({ Bind }: Object) => {
    return (
        <React.Fragment>
            <Grid>
                <Cell span={12}>
                    <Bind name={"settings.additional.description"}>
                        <DelayedOnChange>
                            <Input
                                label="Description"
                                // description="Social media description (og:description)."
                            />
                        </DelayedOnChange>
                    </Bind>
                </Cell>
                <Cell span={12}>
                  <Bind name={"settings.additional.image"}>
                    <PageImage label="Image" />
                  </Bind>
                </Cell>
            </Grid>

            <Bind name={"settings.additional.fields"} defaultValue={[]}>
                {props => <FieldsList prefix={"settings.additional.fields"} Bind={Bind} {...props} />}
            </Bind>
        </React.Fragment>
    );
};

export default PageSettingsAdditional;
