import React from "react";
import PageSettingsAdditional from "./components/PageSettingsAdditional";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";

export default [
	{
		name: "cms-editor-page-settings-additional",
		type: "cms-editor-page-settings",
		title: "Custom additional fields",
		description: "Add special page params, fields, images for development purposes",
		icon: <FontAwesomeIcon icon={"user-cog"} size={"1x"}  />,
		fields: `
      additional {
        image {
          src
        }
        description
        fields {
          property
          content
        }
      }
    `,
		render(props: Object) {
			return <PageSettingsAdditional {...props} />;
		}
	}
];
