import React from "react";
import { Link } from "react-router-dom";

const NewsPageItem = ({ page }) => {
	const {
		settings: {
			general: {
				image
			}
		}
	} = page;

	return (
		<div className="news-pages-list__item">
			<Link to={page.url} className="news-pages-list__link">
				{
					image.src &&
					<div className="news-pages-list__image">
						<img
							className="news-pages-list__image-i"
							src={image.src}
							alt=""
						/>
					</div>
				}
				{
					page.title &&
					<div className="news-pages-list__title">
						{page.title}
					</div>
				}
			</Link>
		</div>
	);
};

const NewsPageList = (props) => {
	const { data } = props;
	return (
		<div className="news-pages-list">
			<div className="news-pages-list__inner">
				{data.map(page => (
					<NewsPageItem key={page.id} page={page} />
				))}
			</div>
		</div>
	);
};

export default NewsPageList;
