import React from "react";
import { Link } from "react-router-dom";

const TeamItem = ({ page }) => {
	const {
		settings: {
			general: {
				image
			}
		}
	} = page;

	return (
		<div className="team-list__item">
			<Link to={page.url} className="team-list__link">
				{
					image.src &&
					<div className="team-list__image">
						<img
							className="team-list__image-i"
							src={image.src}
							alt=""
						/>
					</div>
				}
				{
					page.title &&
					<div className="team-list__title">
						{page.title}
					</div>
				}
			</Link>
		</div>
	);
};

const TeamList = (props) => {
	const { data } = props;
	return (
		<div className="team-list">
			{data.map(page => (
				<TeamItem key={page.id} page={page} />
			))}
		</div>
	);
};

export default TeamList;
