// @flow
import React from "react";
import { createElement, createRow, createColumn } from "webiny-app-cms/editor/utils";
import { registerPlugins } from "webiny-plugins";

import sliderElement from "./sliderElement";

registerPlugins(sliderElement());

export default {
    name: "cms-block-slider",
    type: "cms-block",
    category: "cms-block-category-general",
    title: "Slider block",
    create(options: Object = {}) {
        return createElement('cms-element-slider', {
            ...options,
            component: 'slider',
            elements: [
                createRow({
                    elements: [createColumn({ data: { width: 100 } })]
                }),
                createRow({
                    elements: [createColumn({ data: { width: 100 } })]
                })
            ]
        });
    },
    image: {
        width: 500,
        height: 70,
        aspectRatio: 500 / 70
    },
    preview() {
        return <img src="https://via.placeholder.com/500x70?text=Just+add+rows+to+it" alt={"Slider block"} />;
    }
};
