import React from "react";
import styled from "react-emotion";
import Ticker from 'react-ticker';

const TickerElement = ({ element, theme }) => {
	const {
		data: {
			text: {
				document: {
					nodes
				}
			},
			speed,
			direction,
			mode
		}
	} = element;

	const text = nodes[0].nodes[0].leaves[0].text;

	const settings = {
		speed: speed ? parseInt(speed) : 5,
		direction: direction ? direction : 'toLeft',
		mode: mode ? mode : 'chain',
		offset: 'run-in'
	};
	
	return (
		<TickerWrapper theme={theme}>
			<div className="ticker-wrap">
				<Ticker {...settings}>
					{({ index }) => (
						<div className="ticker-wrap__text">
							{text}
						</div>
					)}
				</Ticker>
			</div>
		</TickerWrapper>
	)
};

const TickerWrapper = styled("div")`
	.ticker-wrap {
		padding: 10px 0;
		white-space: nowrap;
		border-bottom: 3px solid var(--webiny-cms-theme-text-primary);
		&__text {
			font-size: 2rem;
			text-transform: uppercase;
		}
	}
`;

export default TickerElement;
