// @flow
import React from "react";
import { createElement, createRow, createColumn } from "webiny-app-cms/editor/utils";
import { registerPlugins } from "webiny-plugins";

import tilesBoardElement from "./tilesBoardElement";

registerPlugins(tilesBoardElement());

export default {
    name: "cms-block-tiles-board",
    type: "cms-block",
    category: "cms-block-category-general",
    title: "Tiles board block",
    create(options: Object = {}) {
        return createElement('cms-element-tiles-board', {
            ...options,
            component: 'tiles-board',
            elements: [
                createRow({
                    elements: [createColumn({ data: { width: 100 } })]
                }),
                createRow({
                    elements: [createColumn({ data: { width: 100 } })]
                })
            ]
        });
    },
    image: {
        width: 500,
        height: 70,
        aspectRatio: 500 / 70
    },
    preview() {
        return <img src="https://via.placeholder.com/500x70?text=Just+add+rows+to+it" alt={"Tiles board block"} />;
    }
};
