import React, { Component } from "react";
import { css } from "emotion";
import Element from "webiny-app-cms/render/components/Element";
import { ElementRoot } from "webiny-app-cms/render/components/ElementRoot";
import ElementAnimation from "webiny-app-cms/render/components/ElementAnimation";

class TilesBoard extends Component {
	render() {
		const {
			element,
			element: { data: { classname } }
		} = this.props;

		return (
			<ElementAnimation>
				<ElementRoot element={element}>
					{({ elementStyle, elementAttributes, customClasses, combineClassNames }) => {
						const { width, alignItems, justifyContent, ...containerStyle } = elementStyle;
						const newElements = [];
						while (newElements.length < 5) {
							const item = element.elements[Math.floor(Math.random() * element.elements.length)];
							if (!newElements.includes(item))
								newElements.push(item);
						}
						const blockMods = ["tiles-board_v1", "tiles-board_v2", "tiles-board_v3", "tiles-board_v4", "tiles-board_v5"];
						const blockMod = blockMods[Math.floor(Math.random() * blockMods.length)];

						return (
							<div
								style={{ width: "100%", display: "flex", justifyContent: "center" }}
								className={"webiny-cms-layout-block-container " + css(containerStyle)}
								{...elementAttributes}
							>
								<div
									style={{
										width: width ? width : "100%",
										alignSelf: justifyContent,
										alignItems: alignItems
									}}
									className={combineClassNames(
										"webiny-cms-layout-block webiny-cms-base-element-style",
										...customClasses
									)}
								>
									<div className={combineClassNames(
										"tiles-board",
										classname,
										blockMod
									)}>
										<div className="tiles-board__inner">
											{newElements.map(element => (
												<div
													className="tiles-board__item"
													key={element.id}
												>
													<Element element={element} />
												</div>
											))}
										</div>
									</div>
								</div>
							</div>
						);
					}}
				</ElementRoot>
			</ElementAnimation>
		);
	}
}

export default TilesBoard;
